import { games } from "$lib/server/cache";
import { notFoundResponse, singleResponse } from "$lib/server/responseBodies";
import type { RequestHandler } from "@sveltejs/kit";

export const GET: RequestHandler = ({ params }): Response => {
	const id = params["gameid"];
	const game = games.find(({ id: gid }) => id === gid);

	if (!game) {
		return notFoundResponse();
	}

	return singleResponse(game);
};
